## python-afsapi 0.2.7

=== requirements.txt ===
aiohttp>=3.3.2
lxml>=3.6.0

=== debian/changelog ===
python-afsapi (0.2.7-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Jul 2024 03:32:06 +0200

python-afsapi (0.2.7-1) unstable; urgency=medium

  * Initial release. (Closes: #1077009)

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jul 2024 04:39:46 +0200

=== debian/control ===
Source: python-afsapi
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
Build-Depends-Indep:
 python3-aiohttp,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-afsapi
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-afsapi.git
Homepage: https://github.com/zhelev/python-afsapi.git

Package: python3-afsapi
Architecture: all
Depends:
 python3-aiohttp,
 ${misc:Depends},
 ${python3:Depends},
Description: asynchronous implementation of the Frontier Silicon API
 This project provides an asynchronous Python implementation of the Frontier
 Silicon API. This project was started in order to embed Frontier Silicon
 devices in Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/zhelev/python-afsapi.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/afsapi/afsapi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
